Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessagePaymentSuccessfulBot

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessagePaymentSuccessfulBot

Enclosing class:
  TdApi

public static final class TdApi.MessagePaymentSuccessfulBot extends TdApi.MessageContent
A payment has been completed; for bots only.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`currency`
Currency for price of the product.
`byte[]`
`invoicePayload`
Invoice payload.
`TdApi.OrderInfo`
`orderInfo`
Information about the order; may be null.
`String`
`providerPaymentChargeId`
Provider payment identifier.
`String`
`shippingOptionId`
Identifier of the shipping option chosen by the user; may be empty if not applicable.
`String`
`telegramPaymentChargeId`
Telegram payment identifier.
`long`
`totalAmount`
Total price for the product, in the smallest units of the currency.

## Constructor Summary

Constructors
Constructor
Description
`MessagePaymentSuccessfulBot()`
A payment has been completed; for bots only.
`MessagePaymentSuccessfulBot(DataInput input)`
A payment has been completed; for bots only.
`MessagePaymentSuccessfulBot(String currency, long totalAmount, byte[] invoicePayload, String shippingOptionId, TdApi.OrderInfo orderInfo, String telegramPaymentChargeId, String providerPaymentChargeId)`
A payment has been completed; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### currency

public String currency
Currency for price of the product.

### totalAmount

public long totalAmount
Total price for the product, in the smallest units of the currency.

### invoicePayload

public byte[] invoicePayload
Invoice payload.

### shippingOptionId

public String shippingOptionId
Identifier of the shipping option chosen by the user; may be empty if not applicable.

### orderInfo

public TdApi.OrderInfo orderInfo
Information about the order; may be null.

### telegramPaymentChargeId

public String telegramPaymentChargeId
Telegram payment identifier.

### providerPaymentChargeId

public String providerPaymentChargeId
Provider payment identifier.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessagePaymentSuccessfulBot

public MessagePaymentSuccessfulBot()
A payment has been completed; for bots only.

### MessagePaymentSuccessfulBot

public MessagePaymentSuccessfulBot(String currency, long totalAmount, byte[] invoicePayload, String shippingOptionId, TdApi.OrderInfo orderInfo, String telegramPaymentChargeId, String providerPaymentChargeId)
A payment has been completed; for bots only.

Parameters:
  `currency` - String Currency for price of the product.
  `totalAmount` - long Total price for the product, in the smallest units of the currency.
  `invoicePayload` - byte[] Invoice payload.
  `shippingOptionId` - String Identifier of the shipping option chosen by the user; may be empty if not applicable.
  `orderInfo` - OrderInfo Information about the order; may be null.
  `telegramPaymentChargeId` - String Telegram payment identifier.
  `providerPaymentChargeId` - String Provider payment identifier.

### MessagePaymentSuccessfulBot

public MessagePaymentSuccessfulBot(DataInput input) throws IOException
A payment has been completed; for bots only.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`